# Copyright 2022 Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

%global debug_package %{nil}

Name: python-yamllint
Epoch: 100
Version: 1.30.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Linter for YAML files
License: GPL-3.0-only
URL: https://github.com/adrienverge/yamllint/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
yamllint does not only check for syntax validity, but for weirdnesses
like key repetition and cosmetic problems such as lines length, trailing
spaces, indentation, etc.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
fdupes -qnrps %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-yamllint
Summary: Linter for YAML files
Requires: python3
Requires: python3-pathspec >= 0.5.3
Requires: python3-PyYAML
Requires: python3-setuptools
Provides: python3-yamllint = %{epoch}:%{version}-%{release}
Provides: python3dist(yamllint) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-yamllint = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(yamllint) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-yamllint = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(yamllint) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-yamllint
yamllint does not only check for syntax validity, but for weirdnesses
like key repetition and cosmetic problems such as lines length, trailing
spaces, indentation, etc.

%files -n python%{python3_version_nodots}-yamllint
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*
%endif

%if 0%{?sle_version} > 150000
%package -n python3-yamllint
Summary: Linter for YAML files
Requires: python3
Requires: python3-pathspec >= 0.5.3
Requires: python3-PyYAML
Requires: python3-setuptools
Provides: python3-yamllint = %{epoch}:%{version}-%{release}
Provides: python3dist(yamllint) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-yamllint = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(yamllint) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-yamllint = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(yamllint) = %{epoch}:%{version}-%{release}

%description -n python3-yamllint
yamllint does not only check for syntax validity, but for weirdnesses
like key repetition and cosmetic problems such as lines length, trailing
spaces, indentation, etc.

%files -n python3-yamllint
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500) && !(0%{?sle_version} > 150000)
%package -n yamllint
Summary: Linter for YAML files
Requires: python3
Requires: python3-pathspec >= 0.5.3
Requires: python3-pyyaml
Requires: python3-setuptools
Provides: python3-yamllint = %{epoch}:%{version}-%{release}
Provides: python3dist(yamllint) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-yamllint = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(yamllint) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-yamllint = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(yamllint) = %{epoch}:%{version}-%{release}

%description -n yamllint
yamllint does not only check for syntax validity, but for weirdnesses
like key repetition and cosmetic problems such as lines length, trailing
spaces, indentation, etc.

%files -n yamllint
%license LICENSE
%{_bindir}/*
%{python3_sitelib}/*
%endif

%changelog
